Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib.sql
Class DTMDocument

    java.lang.Object
      |
      +--weblogic.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--weblogic.apache.xml.dtm.ref.DTMDefaultBaseTraversers
                  |
                  +--weblogic.apache.xml.dtm.ref.DTMDefaultBaseIterators
                        |
                        +--weblogic.apache.xalan.lib.sql.DTMDocument

Direct Known Subclasses:
  SQLDocument, SQLErrorDocument

public class DTMDocument
extends weblogic.apache.xml.dtm.ref.DTMDefaultBaseIterators

The SQL Document is the main controlling class the executesa SQL Query

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Inner Class Summary
`static interface` | `DTMDocument.CharacterNodeHandler` This class is based on an implementation from the Apache XML Project.

Field Summary
`protected SuballocatedIntVector` | `m_attribute` For each element node, there can be zero or more attributes.
`protected int` | `m_Document_TypeID`
`protected int` | `m_DocumentIdx` The Document Index will most likely be 0, but we will reference it by variable in case that paradigm falls through.
`protected ObjectArray` | `m_ObjectArray` Store the SQL Data in this growable array
`protected int` | `m_TextNode_TypeID`
`protected static java.lang.String` | `S_ATTRIB_NOT_SUPPORTED`
`protected static java.lang.String` | `S_DOCUMENT`
`protected static java.lang.String` | `S_ELEMENT_NODE`
`protected static java.lang.String` | `S_ISFALSE`
`protected static java.lang.String` | `S_ISTRUE`
`protected static java.lang.String` | `S_NAMESPACE`
`protected static java.lang.String` | `S_TEXT_NODE`

Fields inherited from class weblogic.apache.xml.dtm.ref.DTMDefaultBase
`m_blocksize, m_documentBaseURI, m_dtmIdent, m_elemIndexes, m_expandedNameTable, m_exptype, m_firstch, m_indexing, m_initialblocksize, m_mgr, m_mgrDefault, m_namespaceDeclSetElements, m_namespaceDeclSets, m_nextsib, m_parent, m_prevsib, m_shouldStripWhitespaceStack, m_shouldStripWS, m_size, m_traversers, m_wsfilter, m_xstrf, NOTPROCESSED, ROOTNODE`

Constructor Summary
`DTMDocument(weblogic.apache.xml.dtm.DTMManager mgr, int ident)`

Method Summary
`protected int` | `_exptype(int parm1)`
`protected int` | `_firstch(int parm1)`
`protected int` | `_level(int parm1)`
`protected int` | `_nextsib(int parm1)`
`protected int` | `_parent(int parm1)`
`protected int` | `_prevsib(int parm1)`
`protected short` | `_type(int parm1)`
`protected int` | `addAttributeToNode(java.lang.Object o, int extendedType, int pnode)` Link an attribute to a node, if the node already has one or more attributes assigned, then just link this one to the attribute list.
`protected int` | `addElement(int level, int extendedType, int parent, int prevsib)`
`protected int` | `addElementWithData(java.lang.Object o, int level, int extendedType, int parent, int prevsib)`
`void` | `appendChild(int parm1, boolean parm2, boolean parm3)`
`void` | `appendTextChild(java.lang.String parm1)`
`protected void` | `cloneAttributeFromNode(int toNode, int fromNode)` Allow two nodes to share the same set of attributes.
`protected void` | `createExpandedNameTable()` The Expanded Name table holds all of our Node names.
`protected void` | `declareNamespaceInContext(int parm1, int parm2)`
`void` | `dispatchCharactersEvents(int nodeHandle, org.xml.sax.ContentHandler ch, boolean normalize)`
`protected static void` | `dispatchNodeData(org.w3c.dom.Node node, org.xml.sax.ContentHandler ch, int depth)` Retrieve the text content of a DOM subtree, appending it into a user-supplied FastStringBuffer object.
`void` | `dispatchToEvents(int parm1, org.xml.sax.ContentHandler parm2)`
`void` | `dumpDTM()`
`protected void` | `ensureSize(int parm1)`
`protected void` | `ensureSizeOfIndex(int parm1, int parm2)`
`protected void` | `error(java.lang.String parm1)`
`protected int` | `findGTE(int[] parm1, int parm2, int parm3, int parm4)`
`protected int` | `findInSortedSuballocatedIntVector(SuballocatedIntVector parm1, int parm2)`
`protected SuballocatedIntVector` | `findNamespaceContext(int parm1)`
`int` | `getAttributeNode(int parm1, java.lang.String parm2, java.lang.String parm3)`
`weblogic.apache.xml.dtm.DTMAxisIterator` | `getAxisIterator(int parm1)`
`weblogic.apache.xml.dtm.DTMAxisTraverser` | `getAxisTraverser(int parm1)`
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.ext.DeclHandler` | `getDeclHandler()`
`int` | `getDocument()`
`boolean` | `getDocumentAllDeclarationsProcessed()`
`java.lang.String` | `getDocumentBaseURI()`
`java.lang.String` | `getDocumentEncoding(int parm1)`
`java.lang.String` | `getDocumentStandalone(int parm1)`
`java.lang.String` | `getDocumentSystemIdentifier(int parm1)`
`java.lang.String` | `getDocumentTypeDeclarationPublicIdentifier()`
`java.lang.String` | `getDocumentTypeDeclarationSystemIdentifier()`
`java.lang.String` | `getDocumentVersion(int parm1)`
`org.xml.sax.DTDHandler` | `getDTDHandler()`
`int` | `getElementById(java.lang.String parm1)`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`int` | `getExpandedTypeID(int parm1)`
`int` | `getExpandedTypeID(java.lang.String parm1, java.lang.String parm2, int parm3)`
`int` | `getFirstAttribute(int parm1)`
`int` | `getFirstChild(int parm1)`
`int` | `getFirstNamespaceNode(int parm1, boolean parm2)`
`int` | `getLastChild(int parm1)`
`short` | `getLevel(int parm1)`
`org.xml.sax.ext.LexicalHandler` | `getLexicalHandler()`
`java.lang.String` | `getLocalName(int parm1)`
`java.lang.String` | `getLocalNameFromExpandedNameID(int parm1)`
`java.lang.String` | `getNamespaceFromExpandedNameID(int parm1)`
`int` | `getNamespaceType(int parm1)`
`java.lang.String` | `getNamespaceURI(int parm1)`
`int` | `getNextAttribute(int parm1)`
`int` | `getNextNamespaceNode(int parm1, int parm2, boolean parm3)`
`protected int` | `getNextNodeIdentity(int parm1)`
`int` | `getNextSibling(int parm1)`
`org.w3c.dom.Node` | `getNode(int parm1)`
`java.lang.String` | `getNodeName(int parm1)`
`java.lang.String` | `getNodeNameX(int parm1)`
`short` | `getNodeType(int parm1)`
`java.lang.String` | `getNodeValue(int parm1)`
`protected int` | `getNumberOfNodes()`
`int` | `getOwnerDocument(int parm1)`
`int` | `getParent(int parm1)`
`java.lang.String` | `getPrefix(int parm1)`
`int` | `getPreviousSibling(int parm1)`
`protected boolean` | `getShouldStripWhitespace()`
`javax.xml.transform.SourceLocator` | `getSourceLocatorFor(int node)` No source information is available for DOM2DTM, so return `null` here.
`XMLString` | `getStringValue(int parm1)`
`char[]` | `getStringValueChunk(int parm1, int parm2, int[] parm3)`
`int` | `getStringValueChunkCount(int parm1)`
`weblogic.apache.xml.dtm.DTMAxisIterator` | `getTypedAxisIterator(int parm1, int parm2)`
`java.lang.String` | `getUnparsedEntityURI(java.lang.String parm1)`
`boolean` | `hasChildNodes(int parm1)`
`protected void` | `indexNode(int parm1, int parm2)`
`boolean` | `isAttributeSpecified(int parm1)`
`boolean` | `isCharacterElementContentWhitespace(int parm1)`
`boolean` | `isDocumentAllDeclarationsProcessed(int parm1)`
`boolean` | `isNodeAfter(int parm1, int parm2)`
`boolean` | `isSupported(java.lang.String parm1, java.lang.String parm2)`
`boolean` | `needsTwoThreads()`
`protected boolean` | `nextNode()`
`protected void` | `popShouldStripWhitespace()`
`protected void` | `pushShouldStripWhitespace(boolean parm1)`
`void` | `setDocumentBaseURI(java.lang.String parm1)`
`void` | `setFeature(java.lang.String parm1, boolean parm2)`
`void` | `setProperty(java.lang.String property, java.lang.Object value)` For the moment all the run time properties are ignored by this class.
`protected void` | `setShouldStripWhitespace(boolean parm1)`
`boolean` | `supportsPreStripping()` Event overriding for Debug

Methods inherited from class weblogic.apache.xml.dtm.ref.DTMDefaultBase
`documentRegistration, documentRelease, dumpNode, getDTMIDs, getManager, makeNodeHandle, makeNodeIdentity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_NAMESPACE

    protected static final java.lang.String S_NAMESPACE

### S_ATTRIB_NOT_SUPPORTED

    protected static final java.lang.String S_ATTRIB_NOT_SUPPORTED

### S_ISTRUE

    protected static final java.lang.String S_ISTRUE

### S_ISFALSE

    protected static final java.lang.String S_ISFALSE

### S_DOCUMENT

    protected static final java.lang.String S_DOCUMENT

### S_TEXT_NODE

    protected static final java.lang.String S_TEXT_NODE

### S_ELEMENT_NODE

    protected static final java.lang.String S_ELEMENT_NODE

### m_Document_TypeID

    protected int m_Document_TypeID

### m_TextNode_TypeID

    protected int m_TextNode_TypeID

### m_ObjectArray

    protected ObjectArray m_ObjectArray

  Store the SQL Data in this growable array

### m_attribute

    protected SuballocatedIntVector m_attribute

  For each element node, there can be zero or more attributes. If Attributes are assigned, the first attribute for that element will be use here. Subsequent elements will use the m_nextsib, m_prevsib array. The sibling arrays are not meeant to hold indexes to attribute information but as long as there is not direct connection back into the main DTM tree we should be OK.

### m_DocumentIdx

    protected int m_DocumentIdx

  The Document Index will most likely be 0, but we will reference it by variable in case that paradigm falls through.

Constructor Detail

### DTMDocument

    public DTMDocument(weblogic.apache.xml.dtm.DTMManager mgr,
                       int ident)

  Parameters:
    `mgr` -
    `ident` -

Method Detail

### addElementWithData

    protected int addElementWithData(java.lang.Object o,
                                     int level,
                                     int extendedType,
                                     int parent,
                                     int prevsib)

  Parameters:
    `o` -
    `level` -
    `extendedType` -
    `parent` -
    `prevsib` -

### addElement

    protected int addElement(int level,
                             int extendedType,
                             int parent,
                             int prevsib)

  Parameters:
    `level` -
    `extendedType` -
    `parent` -
    `prevsib` -

### addAttributeToNode

    protected int addAttributeToNode(java.lang.Object o,
                                     int extendedType,
                                     int pnode)

  Link an attribute to a node, if the node already has one or more attributes assigned, then just link this one to the attribute list. The first attribute is attached to the Parent Node (pnode) through the m_attribute array, subsequent attributes are linked through the m_prevsib, m_nextsib arrays.

  Parameters:
    `o` -
    `extendedType` -
    `pnode` -

### cloneAttributeFromNode

    protected void cloneAttributeFromNode(int toNode,
                                          int fromNode)

  Allow two nodes to share the same set of attributes. There may be some problems because the parent of any attribute will be the original node they were assigned to. Need to see how the attribute walker works, then we should be able to fake it out.

  Parameters:
    `toNode` -
    `fromNode` -

### getFirstAttribute

    public int getFirstAttribute(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getFirstAttribute in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNodeValue

    public java.lang.String getNodeValue(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeValue in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getStringValue

    public XMLString getStringValue(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getStringValue in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNextAttribute

    public int getNextAttribute(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNextAttribute in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNumberOfNodes

    protected int getNumberOfNodes()

  Overrides:
    getNumberOfNodes in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### nextNode

    protected boolean nextNode()

  Overrides:
    nextNode in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### createExpandedNameTable

    protected void createExpandedNameTable()

  The Expanded Name table holds all of our Node names. The Base class will add the common element types, need to call this function from the derived class.

### dumpDTM

    public void dumpDTM()

  Overrides:
    dumpDTM in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### dispatchNodeData

    protected static void dispatchNodeData(org.w3c.dom.Node node,
                                           org.xml.sax.ContentHandler ch,
                                           int depth)
                                    throws org.xml.sax.SAXException

  Retrieve the text content of a DOM subtree, appending it into a user-supplied FastStringBuffer object. Note that attributes are not considered part of the content of an element.

  There are open questions regarding whitespace stripping. Currently we make no special effort in that regard, since the standard DOM doesn't yet provide DTD-based information to distinguish whitespace-in-element-context from genuine #PCDATA. Note that we should probably also consider xml:space if/when we address this. DOM Level 3 may solve the problem for us.

  %REVIEW% Note that as a DOM-level operation, it can be argued that this routine _shouldn't_ perform any processing beyond what the DOM already does, and that whitespace stripping and so on belong at the DTM level. If you want a stripped DOM view, wrap DTM2DOM around DOM2DTM.

  Parameters:
    `node` - Node whose subtree is to be walked, gathering the contents of all Text or CDATASection nodes.
    `ch` -
    `depth` -
  Throws:
    org.xml.sax.SAXException -

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.Object value)

  For the moment all the run time properties are ignored by this class.

  Parameters:
    `property` - a `String` value
    `value` - an `Object` value
  Overrides:
    setProperty in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getSourceLocatorFor

    public javax.xml.transform.SourceLocator getSourceLocatorFor(int node)

  No source information is available for DOM2DTM, so return `null` here.

  Parameters:
    `node` - an `int` value
  Returns:
    null
  Overrides:
    getSourceLocatorFor in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNextNodeIdentity

    protected int getNextNodeIdentity(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNextNodeIdentity in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getAttributeNode

    public int getAttributeNode(int parm1,
                                java.lang.String parm2,
                                java.lang.String parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getAttributeNode in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getLocalName

    public java.lang.String getLocalName(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLocalName in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNodeName

    public java.lang.String getNodeName(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeName in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### isAttributeSpecified

    public boolean isAttributeSpecified(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    isAttributeSpecified in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getUnparsedEntityURI

    public java.lang.String getUnparsedEntityURI(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    getUnparsedEntityURI in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Overrides:
    getDTDHandler in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getPrefix

    public java.lang.String getPrefix(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getPrefix in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Overrides:
    getEntityResolver in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocumentTypeDeclarationPublicIdentifier

    public java.lang.String getDocumentTypeDeclarationPublicIdentifier()

  Overrides:
    getDocumentTypeDeclarationPublicIdentifier in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getLexicalHandler

    public org.xml.sax.ext.LexicalHandler getLexicalHandler()

  Overrides:
    getLexicalHandler in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### needsTwoThreads

    public boolean needsTwoThreads()

  Overrides:
    needsTwoThreads in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Overrides:
    getContentHandler in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### dispatchToEvents

    public void dispatchToEvents(int parm1,
                                 org.xml.sax.ContentHandler parm2)
                          throws org.xml.sax.SAXException

  Parameters:
    `parm1` -
    `parm2` -
  Throws:
    org.xml.sax.SAXException -
    org.xml.sax.SAXException -
  Overrides:
    dispatchToEvents in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNamespaceURI

    public java.lang.String getNamespaceURI(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNamespaceURI in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### dispatchCharactersEvents

    public void dispatchCharactersEvents(int nodeHandle,
                                         org.xml.sax.ContentHandler ch,
                                         boolean normalize)
                                  throws org.xml.sax.SAXException

  Parameters:
    `nodeHandle` -
    `ch` -
    `normalize` -
  Throws:
    org.xml.sax.SAXException -
    org.xml.sax.SAXException -
  Overrides:
    dispatchCharactersEvents in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### supportsPreStripping

    public boolean supportsPreStripping()

  Event overriding for Debug

  Overrides:
    supportsPreStripping in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### _exptype

    protected int _exptype(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    _exptype in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### findNamespaceContext

    protected SuballocatedIntVector findNamespaceContext(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    findNamespaceContext in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### _prevsib

    protected int _prevsib(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    _prevsib in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### _type

    protected short _type(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    _type in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNode

    public org.w3c.dom.Node getNode(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNode in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getPreviousSibling

    public int getPreviousSibling(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getPreviousSibling in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocumentStandalone

    public java.lang.String getDocumentStandalone(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentStandalone in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNodeNameX

    public java.lang.String getNodeNameX(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeNameX in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### setFeature

    public void setFeature(java.lang.String parm1,
                           boolean parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    setFeature in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### _parent

    protected int _parent(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    _parent in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### indexNode

    protected void indexNode(int parm1,
                             int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    indexNode in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getShouldStripWhitespace

    protected boolean getShouldStripWhitespace()

  Overrides:
    getShouldStripWhitespace in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### popShouldStripWhitespace

    protected void popShouldStripWhitespace()

  Overrides:
    popShouldStripWhitespace in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### isNodeAfter

    public boolean isNodeAfter(int parm1,
                               int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    isNodeAfter in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNamespaceType

    public int getNamespaceType(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNamespaceType in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### _level

    protected int _level(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    _level in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### pushShouldStripWhitespace

    protected void pushShouldStripWhitespace(boolean parm1)

  Parameters:
    `parm1` -
  Overrides:
    pushShouldStripWhitespace in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocumentVersion

    public java.lang.String getDocumentVersion(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentVersion in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### isSupported

    public boolean isSupported(java.lang.String parm1,
                               java.lang.String parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    isSupported in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### setShouldStripWhitespace

    protected void setShouldStripWhitespace(boolean parm1)

  Parameters:
    `parm1` -
  Overrides:
    setShouldStripWhitespace in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### ensureSizeOfIndex

    protected void ensureSizeOfIndex(int parm1,
                                     int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    ensureSizeOfIndex in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### ensureSize

    protected void ensureSize(int parm1)

  Parameters:
    `parm1` -

### getDocumentEncoding

    public java.lang.String getDocumentEncoding(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentEncoding in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### appendChild

    public void appendChild(int parm1,
                            boolean parm2,
                            boolean parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    appendChild in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getLevel

    public short getLevel(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLevel in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocumentBaseURI

    public java.lang.String getDocumentBaseURI()

  Overrides:
    getDocumentBaseURI in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNextNamespaceNode

    public int getNextNamespaceNode(int parm1,
                                    int parm2,
                                    boolean parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getNextNamespaceNode in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### appendTextChild

    public void appendTextChild(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    appendTextChild in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### findGTE

    protected int findGTE(int[] parm1,
                          int parm2,
                          int parm3,
                          int parm4)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
    `parm4` -
  Overrides:
    findGTE in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getFirstNamespaceNode

    public int getFirstNamespaceNode(int parm1,
                                     boolean parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    getFirstNamespaceNode in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getStringValueChunkCount

    public int getStringValueChunkCount(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getStringValueChunkCount in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getLastChild

    public int getLastChild(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLastChild in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### hasChildNodes

    public boolean hasChildNodes(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    hasChildNodes in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNodeType

    public short getNodeType(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNodeType in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### isCharacterElementContentWhitespace

    public boolean isCharacterElementContentWhitespace(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    isCharacterElementContentWhitespace in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getFirstChild

    public int getFirstChild(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getFirstChild in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocumentSystemIdentifier

    public java.lang.String getDocumentSystemIdentifier(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getDocumentSystemIdentifier in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### declareNamespaceInContext

    protected void declareNamespaceInContext(int parm1,
                                             int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    declareNamespaceInContext in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNamespaceFromExpandedNameID

    public java.lang.String getNamespaceFromExpandedNameID(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNamespaceFromExpandedNameID in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getLocalNameFromExpandedNameID

    public java.lang.String getLocalNameFromExpandedNameID(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getLocalNameFromExpandedNameID in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getExpandedTypeID

    public int getExpandedTypeID(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getExpandedTypeID in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocument

    public int getDocument()

  Overrides:
    getDocument in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### findInSortedSuballocatedIntVector

    protected int findInSortedSuballocatedIntVector(SuballocatedIntVector parm1,
                                                    int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    findInSortedSuballocatedIntVector in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### isDocumentAllDeclarationsProcessed

    public boolean isDocumentAllDeclarationsProcessed(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    isDocumentAllDeclarationsProcessed in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### error

    protected void error(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    error in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### _firstch

    protected int _firstch(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    _firstch in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getOwnerDocument

    public int getOwnerDocument(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getOwnerDocument in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### _nextsib

    protected int _nextsib(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    _nextsib in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getNextSibling

    public int getNextSibling(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getNextSibling in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocumentAllDeclarationsProcessed

    public boolean getDocumentAllDeclarationsProcessed()

  Overrides:
    getDocumentAllDeclarationsProcessed in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getParent

    public int getParent(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getParent in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getExpandedTypeID

    public int getExpandedTypeID(java.lang.String parm1,
                                 java.lang.String parm2,
                                 int parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getExpandedTypeID in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### setDocumentBaseURI

    public void setDocumentBaseURI(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    setDocumentBaseURI in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getStringValueChunk

    public char[] getStringValueChunk(int parm1,
                                      int parm2,
                                      int[] parm3)

  Parameters:
    `parm1` -
    `parm2` -
    `parm3` -
  Overrides:
    getStringValueChunk in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getAxisTraverser

    public weblogic.apache.xml.dtm.DTMAxisTraverser getAxisTraverser(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getAxisTraverser in class weblogic.apache.xml.dtm.ref.DTMDefaultBaseTraversers

### getTypedAxisIterator

    public weblogic.apache.xml.dtm.DTMAxisIterator getTypedAxisIterator(int parm1,
                                                                        int parm2)

  Parameters:
    `parm1` -
    `parm2` -
  Overrides:
    getTypedAxisIterator in class weblogic.apache.xml.dtm.ref.DTMDefaultBaseIterators

### getAxisIterator

    public weblogic.apache.xml.dtm.DTMAxisIterator getAxisIterator(int parm1)

  Parameters:
    `parm1` -
  Overrides:
    getAxisIterator in class weblogic.apache.xml.dtm.ref.DTMDefaultBaseIterators

### getElementById

    public int getElementById(java.lang.String parm1)

  Parameters:
    `parm1` -
  Overrides:
    getElementById in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDeclHandler

    public org.xml.sax.ext.DeclHandler getDeclHandler()

  Overrides:
    getDeclHandler in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Overrides:
    getErrorHandler in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### getDocumentTypeDeclarationSystemIdentifier

    public java.lang.String getDocumentTypeDeclarationSystemIdentifier()

  Overrides:
    getDocumentTypeDeclarationSystemIdentifier in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference